Move "transparency.wikimedia.org/private" to "transparency-private.wikimedia.org"
Closed, ResolvedPublic

Description

Gerrit repo: https://gerrit.wikimedia.org/r/#/admin/projects/wikimedia/TransparencyReport-private

There are some issues with the way Middleman handles link generation and i18n which would be resolved if we use a sub-domain, instead of a directory for the private report. Details in {T175445} (private).

Prtksxna created this task.Feb 27 2018, 2:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 2:09 AM
Restricted Application added a project: Traffic. · View Herald TranscriptFeb 27 2018, 8:29 AM
Dzahn claimed this task.Feb 27 2018, 10:27 PM
Dzahn added a comment.Feb 28 2018, 3:41 AM

Is there a specific thing you want to achieve with this move? I can do this but would be nice to have on the ticket a tiny bit of reason why this is desired.

Prtksxna updated the task description. (Show Details)Feb 28 2018, 3:51 AM

Is there a specific thing you want to achieve with this move? I can do this but would be nice to have on the ticket a tiny bit of reason why this is desired.

Makes sense. Updated the task descripiton, and added you to T175445.

Dzahn added a comment.Feb 28 2018, 3:56 AM

Thank you! I'll take this and it should not be a problem . Regarding the private ticket i don't have permissions to read it yet it seems.

Change 415302 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add transparency-private.wikimedia.org

https://gerrit.wikimedia.org/r/415302

Dzahn added a comment.Feb 28 2018, 3:33 PM

Access is still denied to me on T175445 which is surprising because i'm a member of WMF-NDA and can read security tasks. Is there really a need to lock that down so much more than other things?

Change 415512 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] varnish: add director for transparency-private

https://gerrit.wikimedia.org/r/415512

Access is still denied to me on T175445 which is surprising because i'm a member of WMF-NDA and can read security tasks. Is there really a need to lock that down so much more than other things?

There isn't. I am not sure why you can't see the task and I don't have access to change the policy. IIRC, I had requested @Aklapper to make the task visible to all subscribers and I've added you as a subscriber. I think it's a custom policy and will have to be update manually. Sorry I don't have access to do that

T175445 is neither NDA nor Security but custom... Going to https://phabricator.wikimedia.org/maniphest/task/edit/175445/ , "Visible To" was set to "Custom Policy". (Curious: @Prtksxna, can you access that?) Clicking on "Custom Policy", it showed specific user names under "Allow users". I now also added "Allow subscribers".
Maybe the request wasn't to "make the task visible to all subscribers" but to provide access to specific user names? Anyway, hope it works now for @Dzahn.

Dzahn added a comment.Mar 1 2018, 3:51 PM

Yes, I can see the ticket now, thanks @Prtksxna and @Aklapper.

Curious: @Prtksxna, can you access that?)

Nope. I don't see "Visible To" or "Custom Policy" on that page.

Change 415512 merged by Dzahn:
[operations/puppet@production] varnish: add director for transparency-private

https://gerrit.wikimedia.org/r/415512

Change 415912 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] transparency: add/adjust Apache config for private site

https://gerrit.wikimedia.org/r/415912

Change 415912 merged by Dzahn:
[operations/puppet@production] transparency: add/adjust Apache config for private site

https://gerrit.wikimedia.org/r/415912

Change 415302 merged by Dzahn:
[operations/dns@master] add transparency-private.wikimedia.org

https://gerrit.wikimedia.org/r/415302

Dzahn added a comment.Mar 2 2018, 6:58 PM

done!

https://transparency.wikimedia.org (as always)

https://transparency.wikimedia.org/private (now removed)

https://transparency-private.wikimedia.org (now existing and asks for password like /private did before)

Dzahn closed this task as Resolved.Mar 2 2018, 6:59 PM

Thank you so much, @Dzahn!